      module phys_comm

      use parmeta
      use parm_tbl
      implicit none
      save

      real,dimension(lp1)::dfrlg
      real::dtq2,tdtq2,dtd,tdtd,ros,cs,ds,roi,ci,di,pl,thl,rdq, &
       RDTH,RDP,RDTHE   &
      ,PLQ,RDPQ,RDTHEQ   &
      ,QS0   (JTB),SQS   (JTB),THE0  (ITB),STHE  (ITB)  &
      ,THE0Q(ITBQ),STHEQ(ITBQ),ptbl(itb,jtb)  
      real::TTBL  (JTB,ITB),TTBLQ(JTBQ,ITBQ),sstm(0:im+1,0:jm+1,356)
      integer::ktm
      real,dimension(0:im+1,0:jm+1)::radot,radin,czmean,czen,sigt4, &
                     tg,epsr,albedo,mxsnal,htop,hbot, &
                     cnvtop,cnvbot,gffc,albase,hdac,sst,hdacv,glat,glon,sst1
     	     
        
		     
      end module phys_comm

